excelExporter.excelParser.dataModel

## Enum ExcelWorkbook.PseudoFieldName

- java.lang.Object
- - java.lang.Enum<ExcelWorkbook.PseudoFieldName>
  - - excelExporter.excelParser.dataModel.ExcelWorkbook.PseudoFieldName

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ExcelWorkbook.PseudoFieldName>
  Enclosing class:
    ExcelWorkbook

      public static enum ExcelWorkbook.PseudoFieldName
      extends java.lang.Enum<ExcelWorkbook.PseudoFieldName>

  This is the list of pseudo-fields of class `ExcelWorkbook` that can be accessed from a StringTemplate V4 template. The enumerated fields can be accessed like ordinary public fields from a StringTemplate V4 template. The dot notation is used to do so. Taking the first named value `excelFile` as an example, one would write `<cluster.excelFile>` to access the related pseudo-field.

  A short explanation of each pseudo-field and a reference to more in-depth information can be found as description of each named value of the enumeration.

  Please note, that the pseudo-fields of the base class `ObjectMap` are inherited and can be accessed, too. See `ObjectMap.PseudoFieldName`.

  A detailed discussion of pseudo-fields and the enumeration of these can be found in the class description of `ObjectMap`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `excelFile` The file designation `ExcelWorkbook.excelFile` of the Excel source.
    `noOptions` The number `ExcelWorkbook.getNoOptions()` of user specified options in `ExcelWorkbook.optionMap`.
    `noSheets` The number of parsed worksheets in the workbook.
    `optionMap` The map `ExcelWorkbook.optionMap` of user specified options.
    `sheetAry` The list of parsed worksheets in the book.
    `theOnlyWorksheet` The only parsed worksheet `ExcelWorkbook.theOnlyWorksheet` of the workbook, if unambiguously possible.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExcelWorkbook.PseudoFieldName` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ExcelWorkbook.PseudoFieldName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### excelFile

          public static final ExcelWorkbook.PseudoFieldName excelFile

      The file designation `ExcelWorkbook.excelFile` of the Excel source.

      From a StringTemplate V4 template it would be accessed with an expression like `<book.excelFile>`.

    - #### sheetAry

          public static final ExcelWorkbook.PseudoFieldName sheetAry

      The list of parsed worksheets in the book. This pseudo-field is an alias to access the pseudo-field `ObjectMap.PseudoFieldName.itemAry` of the base class.

      From a StringTemplate V4 template the list would be accessed with an expression like `<book.sheetAry>`.

    - #### noSheets

          public static final ExcelWorkbook.PseudoFieldName noSheets

      The number of parsed worksheets in the workbook. This pseudo-field is an alias to access the pseudo-field `ObjectMap.PseudoFieldName.noItems`.

      The number of sheets relates to both collections, `ObjectMap.itemAry` and `ObjectMap.itemMap`.

      From a StringTemplate V4 template the number would be accessed with an expression like `<book.noSheets>`.

    - #### theOnlyWorksheet

          public static final ExcelWorkbook.PseudoFieldName theOnlyWorksheet

      The only parsed worksheet `ExcelWorkbook.theOnlyWorksheet` of the workbook, if unambiguously possible. `null` otherwise.

      From a StringTemplate V4 template it would be accessed with an expression like `<book.theOnlyWorksheet>`.

    - #### optionMap

          public static final ExcelWorkbook.PseudoFieldName optionMap

      The map `ExcelWorkbook.optionMap` of user specified options.

      From a StringTemplate V4 template it would be accessed with an expression like `<book.optionMap>`.

    - #### noOptions

          public static final ExcelWorkbook.PseudoFieldName noOptions

      The number `ExcelWorkbook.getNoOptions()` of user specified options in `ExcelWorkbook.optionMap`.

      From a StringTemplate V4 template it would be accessed with an expression like `<book.noOptions>`.

  - ### Method Detail

    - #### values

          public static ExcelWorkbook.PseudoFieldName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExcelWorkbook.PseudoFieldName c : ExcelWorkbook.PseudoFieldName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExcelWorkbook.PseudoFieldName valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null